package org.nl.acs.device.service;

import org.nl.acs.common.base.PageInfo;
import org.nl.acs.common.base.CommonService;
import org.nl.acs.device.domain.DeviceRunpoint;
import org.nl.acs.device.service.dto.DeviceRunpointDto;
import org.nl.acs.device.service.dto.DeviceRunpointQueryParam;
import org.springframework.data.domain.Pageable;
import java.util.List;
import java.util.Set;

/**
* @author jiaolm
* @date 2023-05-09
*/
public interface DeviceRunpointService extends CommonService<DeviceRunpoint>  {

    static final String CACHE_KEY = "deviceRunpoint";

    /**
    * 查询数据分页
    * @param query 条件
    * @param pageable 分页参数
    * @return PageInfo<DeviceRunpointDto>
    */
    PageInfo<DeviceRunpointDto> queryAll(DeviceRunpointQueryParam query, Pageable pageable);

    /**
    * 查询所有数据不分页
    * @param query 条件参数
    * @return List<DeviceRunpointDto>
    */
    List<DeviceRunpointDto> queryAll(DeviceRunpointQueryParam query);

    DeviceRunpoint getById(String id);
    DeviceRunpointDto findById(String id);

    /**
     * 插入一条新数据。
     */
    int insert(DeviceRunpointDto resources);
    int updateById(DeviceRunpointDto resources);
    int removeById(String id);
    int removeByIds(Set<String> ids);

    /**
    * 导出数据
    * @param all 待导出的数据
    * @param response /
    * @throws IOException /
    */
    // void download(List<DeviceRunpointDto> all, HttpServletResponse response) throws IOException;
}
